commit:     03b32bba7204d35c036f88d26d5c56c743fa38b8
Author:     Julien Roy <julien <AT> jroy <DOT> ca>
AuthorDate: Sun Apr 16 16:17:28 2023 +0000
Commit:     Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Sun Apr 16 16:17:48 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=03b32bba

gui-apps/hyprland-plugins: support building split-monitor-workspaces without 
wlroots[X]

Signed-off-by: Julien Roy <julien <AT> jroy.ca>

 .../files/split-monitor-workspaces.patch                | 13 +++++++++++++
 .../hyprland-plugins/hyprland-plugins-0.24.1.ebuild     | 17 +++++++++++++++--
 2 files changed, 28 insertions(+), 2 deletions(-)

diff --git a/gui-apps/hyprland-plugins/files/split-monitor-workspaces.patch 
b/gui-apps/hyprland-plugins/files/split-monitor-workspaces.patch
new file mode 100644
index 000000000..43ffc090f
--- /dev/null
+++ b/gui-apps/hyprland-plugins/files/split-monitor-workspaces.patch
@@ -0,0 +1,13 @@
+diff --git a/Makefile b/Makefile
+index 264f1aa..ee88b24 100644
+--- a/Makefile
++++ b/Makefile
+@@ -19,7 +19,7 @@ ifndef HYPRLAND_HEADERS
+ endif
+ 
+ $(PLUGIN_NAME).so: $(SOURCE_FILES) $(INCLUDE_FILES)
+-      g++ -shared -fPIC --no-gnu-unique $(SOURCE_FILES) -o $(PLUGIN_NAME).so 
-g -I "/usr/include/pixman-1" -I "/usr/include/libdrm" -I "${HYPRLAND_HEADERS}" 
-Iinclude -std=c++23
++      g++ -shared -fPIC --no-gnu-unique $(SOURCE_FILES) -o $(PLUGIN_NAME).so 
-g -I "/usr/include/pixman-1" -I "/usr/include/libdrm" -I "${HYPRLAND_HEADERS}" 
-Iinclude -std=c++23 -DNO_XWAYLAND
+ 
+ clean:
+       rm -f ./$(PLUGIN_NAME).so

diff --git a/gui-apps/hyprland-plugins/hyprland-plugins-0.24.1.ebuild 
b/gui-apps/hyprland-plugins/hyprland-plugins-0.24.1.ebuild
index 9c5189a1f..c674218ec 100644
--- a/gui-apps/hyprland-plugins/hyprland-plugins-0.24.1.ebuild
+++ b/gui-apps/hyprland-plugins/hyprland-plugins-0.24.1.ebuild
@@ -18,18 +18,31 @@ S="${WORKDIR}/${PN}-${COMMIT}"
 LICENSE="BSD"
 SLOT="0"
 KEYWORDS="~amd64"
-IUSE="+borders-plus-plus csgo-vulkan-fix +hyprbars split-monitor-workspaces"
+IUSE="+borders-plus-plus csgo-vulkan-fix +hyprbars split-monitor-workspaces X"
 REQUIRED_USE="|| ( borders-plus-plus csgo-vulkan-fix hyprbars 
split-monitor-workspaces )"
 
 RDEPEND="gui-wm/hyprland"
 DEPEND="${RDEPEND}"
 BDEPEND="
        ~gui-wm/hyprland-${PV}
-       split-monitor-workspaces? ( gui-libs/wlroots[X] )
+       split-monitor-workspaces? ( gui-libs/wlroots[X?] )
        x11-libs/libdrm
        x11-libs/pixman
 "
 
+src_unpack() {
+       default
+       cp "${FILESDIR}/split-monitor-workspaces.patch" 
"${WORKDIR}/split-monitor-workspaces-${SPLITCOMMIT}" || die
+}
+
+src_prepare() {
+       eapply_user
+       if use split-monitor-workspaces && ! use X; then
+               cd "${WORKDIR}/split-monitor-workspaces-${SPLITCOMMIT}" || die
+               eapply "${WORKDIR}/split-monitor-workspaces-${SPLITCOMMIT}"
+       fi
+}
+
 src_compile() {
        emake -C "${WORKDIR}/hyprland-source" protocols
        export HYPRLAND_HEADERS="${WORKDIR}/hyprland-source"

Reply via email to